.slideout-menu {
	@mixin fade-out;

	position: fixed;
	z-index: 100;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	pointer-events: none;
	transition: all 0.3s;

	& li {
		list-style: none;
		font-size: 0.85rem;
		font-weight: var(--font-normal);
		margin-bottom: 0.5em;
		border-bottom: 1px solid var(--border);
		padding-bottom: 0.25em;

		&:last-child {
			border-bottom: 0;
		}
	}

	& .sub-menu {
		& li {
			font-weight: 500;
			font-size: 0.875rem;
			margin-bottom: 0.25em;
			padding-bottom: 0.15em;
			border-bottom: 0;
		}
	}

	& .slideout-menu__inner {
		&::-webkit-scrollbar {
			width: 6px;
		}
	}

	& .wpml-ls-legacy-list-horizontal {
		&.wpml-ls-statics-footer {
			margin-bottom: 1em;
			padding: 0;

			& > ul {
				text-align: left;
				& > li {
					margin-left: 0.5em;

					&:first-child {
						margin-left: 0;
					}

					& > .wpml-ls-link {
						padding: 0;
					}
				}
			}
		}
	}
}

.is-assets-loaded .slideout-menu {
	display: block;
}

.has-header-layout-2.is-assets-loaded {
	& .slideout-menu {
		@media (--m) {
			display: block;
		}
	}
}

.slideout-menu__overlay {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 1;
}

.slideout-menu__close-button {
	@mixin button-reset;
	@mixin flex-center;

	position: absolute;
	top: 0;
	right: 0;
	padding: 1em;
	background: var(--dark);
	transform: translate3d(0, -100%, 0);
	transition: transform 0.2s;
	will-change: transform;

	& * {
		pointer-events: none;
	}

	& svg {
		width: 20px;
		height: 20px;
		fill: var(--white);
	}
}

.slideout-menu__wrapper {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	max-width: calc(100% - 4rem);
	width: 300px;
	overflow-y: auto;
	backface-visibility: hidden;
	z-index: 2;
	transform: translate3d(-100%, 0, 0);
	transition: transform 0.25s;
	will-change: transform;
}

.slideout-menu__inner {
	@mixin scrollbar;

	position: relative;
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 100%;
	overflow-y: auto;
	background-color: var(--white);
	padding: 1em;
	z-index: 1;
}

.slideout-menu__menu {
	@mixin list-reset;

	display: flex;
	flex-direction: column;

	& > .menu-item {
		margin: 0;
		padding: 0.5em 0;

		& > a {
			display: block;
			font-weight: var(--font-bold);
		}
	}

	& > .menu-item-has-children {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;

		& > .icon-toggle {
			display: block;
			position: relative;
			width: 20px;
			height: 20px;
			background: var(--primary);

			&::before {
				content: '';
				position: absolute;
				height: 10px;
				width: 2px;
				top: 5px;
				left: 9px;
				background: var(--white);
				transition: all 0.3s;
			}

			&::after {
				content: '';
				position: absolute;
				height: 2px;
				width: 10px;
				top: 9px;
				left: 5px;
				background: var(--white);
			}

			&.is-active {
				&::before {
					transform: rotate(90deg);
				}
			}
		}

		& > .sub-menu {
			margin: 0;
			padding-left: 10px;
			height: 0;
			overflow: hidden;
			width: 100%;
			transition: height 15s ease;

			& > .menu-item {
				margin: 0;
				padding: 0.25em 0;
			}

			& > .menu-item-has-children {
				display: flex;
				flex-wrap: wrap;
				justify-content: space-between;

				& .icon-toggle {
					display: block;
					position: relative;
					width: 20px;
					height: 20px;
					background: #1346af;
					background: var(--primary);

					&::before {
						content: '';
						position: absolute;
						height: 10px;
						width: 2px;
						top: 5px;
						left: 9px;
						background: var(--white);
						transition: all 0.3s;
					}

					&::after {
						content: '';
						position: absolute;
						height: 2px;
						width: 10px;
						top: 9px;
						left: 5px;
						background: var(--white);
					}

					&.is-active {
						&::before {
							transform: rotate(90deg);
						}
					}
				}

				& > .sub-menu {
					padding-left: 10px;
					height: 0;
					overflow: hidden;
					width: 100%;
					transition: height 15s ease;
				}

				&.is-active {
					& > .sub-menu {
						height: auto;
					}
				}
			}
		}

		&.is-active {
			& > .sub-menu {
				height: auto;
			}
		}
	}
}

.is-slideout-visible {
	& .slideout-menu {
		@mixin fade-in;
	}

	& .slideout-menu__close-button {
		transform: translate3d(0, 0, 0);
	}

	& .slideout-menu__wrapper {
		transform: translate3d(0, 0, 0);
	}

	& * {
		pointer-events: visible;
	}
}
